AutoCAD 2004/2005/2006

Reply
Distinguished Contributor
scgham
Posts: 676
Registered: ‎07-19-2005
Message 1 of 10 (1,725 Views)

refedit again

1725 Views, 9 Replies
08-22-2006 05:21 AM
** AcDbZombieObject objects cannot be referenced.
** Application reference missing: ACAD, to AcDbMaterial.

This is the error i get when trying to refedit an xref that ireceived from a 3rd party, i searched these groups and the Adsk knoledge base to no avail, any one has a clue will be mostly appreciated, this is making a mess here.

also why can't i refedit anonymous blocks? and is there a work around?
*Bill DeShawn
Message 2 of 10 (1,724 Views)

Re: refedit again

08-22-2006 06:27 AM in reply to: scgham
There should be a 'Delete all' button in the Named layer filter part of the
Layer Properties Manager. In AutoCAD 2005, 2006, 2007 (and higher?), select
your Layer filters in the Layer Properties Manager dialog, right-click and
choose Delete. I am thinking that this should take care of the problem.

--
Bill DeShawn
bdeshawn@nospamsterling.net
http://my.sterling.net/~bdeshawn
(website link works now)

wrote in message news:5301952@discussion.autodesk.com...
** AcDbZombieObject objects cannot be referenced.
** Application reference missing: ACAD, to AcDbMaterial.

This is the error i get when trying to refedit an xref that ireceived from a
3rd party, i searched these groups and the Adsk knoledge base to no avail,
any one has a clue will be mostly appreciated, this is making a mess here.

also why can't i refedit anonymous blocks? and is there a work around?
Distinguished Contributor
scgham
Posts: 676
Registered: ‎07-19-2005
Message 3 of 10 (1,724 Views)

Re: refedit again

08-23-2006 10:52 PM in reply to: scgham
Thanks Bill, but both the xref file and the parent file has no layer filters, i even have a startup code that removes all layer filters on each open.
Distinguished Contributor
LLIB789
Posts: 637
Registered: ‎02-24-2006
Message 4 of 10 (1,724 Views)

Re: refedit again

08-24-2006 12:45 PM in reply to: scgham
Hope this helps. I just had the same problem. It corrected when I repathed all of the xref's to the folder that I inserted the drawings into. Then I did an audt on the dwgs. and the problem went away.


>>>>>>>>>scgham said
>>** AcDbZombieObject objects cannot be referenced.
** Application reference missing: ACAD, to AcDbMaterial.

This is the error i get when trying to refedit an xref that ireceived from a 3rd party, i searched these groups and the Adsk knoledge base to no avail, any one has a clue will be mostly appreciated, this is making a mess here.
Active Member
aloha_joy
Posts: 7
Registered: ‎04-29-2004
Message 5 of 10 (1,724 Views)

Re: refedit again

10-05-2006 11:59 AM in reply to: scgham
I am running into the same thing. See my original post
http://discussion.autodesk.com/thread.jspa?forumID=12&threadID=510345

I've tried everyone's suggestions, and no success!

Joy
Distinguished Contributor
scgham
Posts: 676
Registered: ‎07-19-2005
Message 6 of 10 (1,724 Views)

Re: refedit again

10-07-2006 02:58 AM in reply to: scgham
I never found a cure too, sorry to say that, but i have this problem in an entire project, so you should be content to have it in only one dwg.
also, i noticed that these dwgs were established by ADT, which is mostly the reason of the problem, but how to overcome that - other than telling all companies we are working with not to use ADT- that's what i'm still looking for.
Member
Blakester122
Posts: 4
Registered: ‎10-07-2009
Message 7 of 10 (1,631 Views)

Re: refedit again

10-19-2010 07:40 AM in reply to: scgham

I have it also on a whole project but it was made in Revit and exported to AutoCAD. I'm using AutoCAD 2010 with this particular project.

 

Wow old post.

Member
MrShepherd
Posts: 4
Registered: ‎04-05-2012
Message 8 of 10 (904 Views)

Re: refedit again

05-22-2012 11:38 AM in reply to: scgham

I had a simple drawing that contained a polyline, 3d Solid and a hatch.

I inserted it as a block into another drawing and got the AcDbZombieObject error when I tried to refedit it.

 

I deleted the hatch, copywith base point the other two objects and pasted them into a new drawing then retried the insert.

 

It fixed the problem.

 

I had tried copy with base point with everytihng but it didn't work.

 

I think it has something to do with the hatch.

Member
attilathedunne
Posts: 3
Registered: ‎05-23-2008
Message 9 of 10 (815 Views)

Re: refedit again

08-29-2012 02:09 AM in reply to: scgham

I had the problem here and it seemed to be something to do with the file having been used in civil 3d.

 

I opened it in c3d and exported as an autocad file and the problem went away.

Active Member
telfordsdraft1
Posts: 9
Registered: ‎07-11-2011
Message 10 of 10 (782 Views)

Re: refedit again

10-02-2012 01:45 PM in reply to: scgham

** AcDbZombieObject objects cannot be referenced.

 

i get this error when i use a dynamic block in the later versions of cad then convert it back to 2004cad. for some reason it wont convert properly and when you try to edit the block that error comes up,

 

the only way i can get around it is remove the dynamic inputs in 2013 then save back or explode the block.

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community




Connect with AutoCAD

Twitter

Facebook

Blogs

Pinterest

Youtube